Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class ARBMultitexture

    java.lang.Object
      org.lwjgl.opengl.ARBMultitexture

    public final class ARBMultitexture

extends java.lang.Object

Field Summary
`static int` | `GL_ACTIVE_TEXTURE_ARB`
`static int` | `GL_CLIENT_ACTIVE_TEXTURE_ARB`
`static int` | `GL_MAX_TEXTURE_UNITS_ARB`
`static int` | `GL_TEXTURE0_ARB`
`static int` | `GL_TEXTURE1_ARB`
`static int` | `GL_TEXTURE10_ARB`
`static int` | `GL_TEXTURE11_ARB`
`static int` | `GL_TEXTURE12_ARB`
`static int` | `GL_TEXTURE13_ARB`
`static int` | `GL_TEXTURE14_ARB`
`static int` | `GL_TEXTURE15_ARB`
`static int` | `GL_TEXTURE16_ARB`
`static int` | `GL_TEXTURE17_ARB`
`static int` | `GL_TEXTURE18_ARB`
`static int` | `GL_TEXTURE19_ARB`
`static int` | `GL_TEXTURE2_ARB`
`static int` | `GL_TEXTURE20_ARB`
`static int` | `GL_TEXTURE21_ARB`
`static int` | `GL_TEXTURE22_ARB`
`static int` | `GL_TEXTURE23_ARB`
`static int` | `GL_TEXTURE24_ARB`
`static int` | `GL_TEXTURE25_ARB`
`static int` | `GL_TEXTURE26_ARB`
`static int` | `GL_TEXTURE27_ARB`
`static int` | `GL_TEXTURE28_ARB`
`static int` | `GL_TEXTURE29_ARB`
`static int` | `GL_TEXTURE3_ARB`
`static int` | `GL_TEXTURE30_ARB`
`static int` | `GL_TEXTURE31_ARB`
`static int` | `GL_TEXTURE4_ARB`
`static int` | `GL_TEXTURE5_ARB`
`static int` | `GL_TEXTURE6_ARB`
`static int` | `GL_TEXTURE7_ARB`
`static int` | `GL_TEXTURE8_ARB`
`static int` | `GL_TEXTURE9_ARB`

Method Summary
`static void` | `glActiveTextureARB(int texture)`
`static void` | `glClientActiveTextureARB(int texture)`
`static void` | `glMultiTexCoord1dARB(int target, double s)`
`static void` | `glMultiTexCoord1fARB(int target, float s)`
`static void` | `glMultiTexCoord1iARB(int target, int s)`
`static void` | `glMultiTexCoord1sARB(int target, short s)`
`static void` | `glMultiTexCoord2dARB(int target, double s, double t)`
`static void` | `glMultiTexCoord2fARB(int target, float s, float t)`
`static void` | `glMultiTexCoord2iARB(int target, int s, int t)`
`static void` | `glMultiTexCoord2sARB(int target, short s, short t)`
`static void` | `glMultiTexCoord3dARB(int target, double s, double t, double r)`
`static void` | `glMultiTexCoord3fARB(int target, float s, float t, float r)`
`static void` | `glMultiTexCoord3iARB(int target, int s, int t, int r)`
`static void` | `glMultiTexCoord3sARB(int target, short s, short t, short r)`
`static void` | `glMultiTexCoord4dARB(int target, double s, double t, double r, double q)`
`static void` | `glMultiTexCoord4fARB(int target, float s, float t, float r, float q)`
`static void` | `glMultiTexCoord4iARB(int target, int s, int t, int r, int q)`
`static void` | `glMultiTexCoord4sARB(int target, short s, short t, short r, short q)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_TEXTURE0_ARB

    public static final int GL_TEXTURE0_ARB

See Also:
  Constant Field Values

### GL_TEXTURE1_ARB

    public static final int GL_TEXTURE1_ARB

See Also:
  Constant Field Values

### GL_TEXTURE2_ARB

    public static final int GL_TEXTURE2_ARB

See Also:
  Constant Field Values

### GL_TEXTURE3_ARB

    public static final int GL_TEXTURE3_ARB

See Also:
  Constant Field Values

### GL_TEXTURE4_ARB

    public static final int GL_TEXTURE4_ARB

See Also:
  Constant Field Values

### GL_TEXTURE5_ARB

    public static final int GL_TEXTURE5_ARB

See Also:
  Constant Field Values

### GL_TEXTURE6_ARB

    public static final int GL_TEXTURE6_ARB

See Also:
  Constant Field Values

### GL_TEXTURE7_ARB

    public static final int GL_TEXTURE7_ARB

See Also:
  Constant Field Values

### GL_TEXTURE8_ARB

    public static final int GL_TEXTURE8_ARB

See Also:
  Constant Field Values

### GL_TEXTURE9_ARB

    public static final int GL_TEXTURE9_ARB

See Also:
  Constant Field Values

### GL_TEXTURE10_ARB

    public static final int GL_TEXTURE10_ARB

See Also:
  Constant Field Values

### GL_TEXTURE11_ARB

    public static final int GL_TEXTURE11_ARB

See Also:
  Constant Field Values

### GL_TEXTURE12_ARB

    public static final int GL_TEXTURE12_ARB

See Also:
  Constant Field Values

### GL_TEXTURE13_ARB

    public static final int GL_TEXTURE13_ARB

See Also:
  Constant Field Values

### GL_TEXTURE14_ARB

    public static final int GL_TEXTURE14_ARB

See Also:
  Constant Field Values

### GL_TEXTURE15_ARB

    public static final int GL_TEXTURE15_ARB

See Also:
  Constant Field Values

### GL_TEXTURE16_ARB

    public static final int GL_TEXTURE16_ARB

See Also:
  Constant Field Values

### GL_TEXTURE17_ARB

    public static final int GL_TEXTURE17_ARB

See Also:
  Constant Field Values

### GL_TEXTURE18_ARB

    public static final int GL_TEXTURE18_ARB

See Also:
  Constant Field Values

### GL_TEXTURE19_ARB

    public static final int GL_TEXTURE19_ARB

See Also:
  Constant Field Values

### GL_TEXTURE20_ARB

    public static final int GL_TEXTURE20_ARB

See Also:
  Constant Field Values

### GL_TEXTURE21_ARB

    public static final int GL_TEXTURE21_ARB

See Also:
  Constant Field Values

### GL_TEXTURE22_ARB

    public static final int GL_TEXTURE22_ARB

See Also:
  Constant Field Values

### GL_TEXTURE23_ARB

    public static final int GL_TEXTURE23_ARB

See Also:
  Constant Field Values

### GL_TEXTURE24_ARB

    public static final int GL_TEXTURE24_ARB

See Also:
  Constant Field Values

### GL_TEXTURE25_ARB

    public static final int GL_TEXTURE25_ARB

See Also:
  Constant Field Values

### GL_TEXTURE26_ARB

    public static final int GL_TEXTURE26_ARB

See Also:
  Constant Field Values

### GL_TEXTURE27_ARB

    public static final int GL_TEXTURE27_ARB

See Also:
  Constant Field Values

### GL_TEXTURE28_ARB

    public static final int GL_TEXTURE28_ARB

See Also:
  Constant Field Values

### GL_TEXTURE29_ARB

    public static final int GL_TEXTURE29_ARB

See Also:
  Constant Field Values

### GL_TEXTURE30_ARB

    public static final int GL_TEXTURE30_ARB

See Also:
  Constant Field Values

### GL_TEXTURE31_ARB

    public static final int GL_TEXTURE31_ARB

See Also:
  Constant Field Values

### GL_ACTIVE_TEXTURE_ARB

    public static final int GL_ACTIVE_TEXTURE_ARB

See Also:
  Constant Field Values

### GL_CLIENT_ACTIVE_TEXTURE_ARB

    public static final int GL_CLIENT_ACTIVE_TEXTURE_ARB

See Also:
  Constant Field Values

### GL_MAX_TEXTURE_UNITS_ARB

    public static final int GL_MAX_TEXTURE_UNITS_ARB

See Also:
  Constant Field Values

Method Detail

### glClientActiveTextureARB

    public static void glClientActiveTextureARB(int texture)

### glActiveTextureARB

    public static void glActiveTextureARB(int texture)

### glMultiTexCoord1fARB

    public static void glMultiTexCoord1fARB(int target,
                                            float s)

### glMultiTexCoord1dARB

    public static void glMultiTexCoord1dARB(int target,
                                            double s)

### glMultiTexCoord1iARB

    public static void glMultiTexCoord1iARB(int target,
                                            int s)

### glMultiTexCoord1sARB

    public static void glMultiTexCoord1sARB(int target,
                                            short s)

### glMultiTexCoord2fARB

    public static void glMultiTexCoord2fARB(int target,
                                            float s,
                                            float t)

### glMultiTexCoord2dARB

    public static void glMultiTexCoord2dARB(int target,
                                            double s,
                                            double t)

### glMultiTexCoord2iARB

    public static void glMultiTexCoord2iARB(int target,
                                            int s,
                                            int t)

### glMultiTexCoord2sARB

    public static void glMultiTexCoord2sARB(int target,
                                            short s,
                                            short t)

### glMultiTexCoord3fARB

    public static void glMultiTexCoord3fARB(int target,
                                            float s,
                                            float t,
                                            float r)

### glMultiTexCoord3dARB

    public static void glMultiTexCoord3dARB(int target,
                                            double s,
                                            double t,
                                            double r)

### glMultiTexCoord3iARB

    public static void glMultiTexCoord3iARB(int target,
                                            int s,
                                            int t,
                                            int r)

### glMultiTexCoord3sARB

    public static void glMultiTexCoord3sARB(int target,
                                            short s,
                                            short t,
                                            short r)

### glMultiTexCoord4fARB

    public static void glMultiTexCoord4fARB(int target,
                                            float s,
                                            float t,
                                            float r,
                                            float q)

### glMultiTexCoord4dARB

    public static void glMultiTexCoord4dARB(int target,
                                            double s,
                                            double t,
                                            double r,
                                            double q)

### glMultiTexCoord4iARB

    public static void glMultiTexCoord4iARB(int target,
                                            int s,
                                            int t,
                                            int r,
                                            int q)

### glMultiTexCoord4sARB

    public static void glMultiTexCoord4sARB(int target,
                                            short s,
                                            short t,
                                            short r,
                                            short q)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.